%define name museek
%define svn 695
%define version 0.0.040714
%define release 1.%svn.1plf

Summary: Soulseek file sharing client
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://museek.thegraveyard.org/%{name}-%{svn}.tar.bz2
URL:http://museek.thegraveyard.org/
License: GPL
Group: Networking/File transfer
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: scons
BuildRequires: libqt3-devel >= 3.3
BuildRequires: libxml++-devel >= 1.0
BuildRequires: libvorbis-devel
BuildRequires: python-devel
BuildRequires: swig
Requires: python

%description
This is a free soulseek client that has an optional nice QT GUI.

The package is in PLF as Mandrakelinux doesn't include P2P software.
%prep
%setup -q -n %name

%build
scons %_smp_mflags PREFIX=%_prefix RELEASE=yes

%install
rm -rf $RPM_BUILD_ROOT
scons install DESTDIR=%buildroot
rm -f %buildroot%_bindir/.sconsign %buildroot%_datadir/%name/museeq/.sconsign

mkdir -p %buildroot/%_menudir
cat << EOF > %buildroot/%{_menudir}/%name
?package(%name):command="%_bindir/museeq" \
                needs="X11" section="Networking/File transfer" \
 title="Museeq" longtitle="SoulSeek file sharing client"
EOF

%post
%update_menus

%postun
%clean_menus


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CREDITS INSTALL
%_bindir/*
%_datadir/%name
%_menudir/%name
%_libdir/python%pyver/site-packages/*

%changelog
* Wed Apr  6 2005 Gtz Waschk <goetz@zarb.org> 0.0.040714-1.695.1plf
- new snapshot

* Mon Jan 24 2005 Gtz Waschk <goetz@zarb.org> 0.0.040714-1.663.1plf
- new snapshot

* Tue Dec 21 2004 Gtz Waschk <goetz@zarb.org> 0.0.040714-1.642.2plf
- rebuild for new libxml++

* Mon Dec 20 2004 Gtz Waschk <goetz@zarb.org> 0.0.040714-1.642.1plf
- new svn snapshot

* Fri Oct  1 2004 Gtz Waschk <goetz@zarb.org> 0.0.040714-1.577.1plf
- new svn snapshot

* Fri Jul 16 2004 Gtz Waschk <goetz@plf.zarb.org> 0.0.040714-1plf
- initial package
